/* gcc -std=c99 test.c s_alloc.c -o alloc_test */
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "s_alloc.h"

#define ALLOC_MAX	5000000

int main(void)
{
	srand(time(NULL));
	int sz = 0;
	char *str = NULL;

	for (int i=1; i<=500; ++i)
	{
		sz = rand() % ALLOC_MAX;
		str = smalloc(sz);

		if (i % 2 == 0)
		{
			str = srealloc(str, sz + 666);
		}

		/* Don't free sometimes. Test purpose. */
		if (i % 17 != 0)
		{
			sfree(str);
		}

		if (i % 50 == 0)
		{
			print_stats();
		}
	}

	return 0;
}
